Bug 827466 - chronyd service shows wrong startup status
chronyd service shows wrong startup status
Product: Fedora EPEL
Classification: Fedora
Component: chrony (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-01 10:34 EDT by Ludwin Janvier
Modified: 2014-01-28 16:08 EST (History)
1 user (show)

See Also:
Fixed In Version: chrony-1.25-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-28 16:08:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (80 bytes, text/plain)
2012-06-01 10:34 EDT, Ludwin Janvier
no flags Details

  None (edit)
Description Ludwin Janvier 2012-06-01 10:34:20 EDT
Created attachment 588482 [details]

Description of problem:
When starting with a good configuration, chronyd shows a failure notice:
Adding dhclient NTP servers to chrony:                     [FAILED]

Whereas both my ntp server in /etc/chrony.conf and in my dhcp lease, service startup is OK:
Adding dhclient NTP servers to chrony:                     [  OK  ]

Version-Release number of selected component (if applicable):
Name        : chrony
Arch        : x86_64
Version     : 1.25
Release     : 2.el6

How reproducible:

Steps to Reproduce:
1. service chronyd start
Actual results:

Expected results:

Additional info:
The bug is in /etc/init.d/chronyd, line 51
the chrony_command function returns true when grep match an error, and false when there's no error.
My patch is to remove this grep.
Comment 1 Miroslav Lichvar 2014-01-10 11:17:48 EST
I've changed the chronyc wrapper to return with the chronyc exit code instead of grep. Thanks for the report.
Comment 2 Fedora Update System 2014-01-10 11:24:30 EST
chrony-1.25-4.el6 has been submitted as an update for Fedora EPEL 6.
Comment 3 Fedora Update System 2014-01-10 18:41:42 EST
Package chrony-1.25-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing chrony-1.25-4.el6'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-28 16:08:22 EST
chrony-1.25-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.